package cn.wisenergy.chnmuseum.party.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 版权方
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("copyright_owner")
@ApiModel(value = "CopyrightOwner对象", description = "版权方")
public class CopyrightOwner implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "版权方ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "版权方名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "版权方类型")
    @TableField("owner_type")
    private Integer ownerType;

    @ApiModelProperty(value = "版权方有效期开始")
    @TableField("expire_date_start")
    private LocalDateTime expireDateStart;

    @ApiModelProperty(value = "版权方有效期结束")
    @TableField("expire_date_end")
    private LocalDateTime expireDateEnd;

    @ApiModelProperty(value = "备注")
    @TableField("remarks")
    private String remarks;

    @ApiModelProperty(value = "创建日期")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新日期")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

}
