package cn.wisenergy.chnmuseum.party.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 学习内容
 * </p>
 *
 * @author Danny Lee
 * @since 2021-03-16
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@TableName("learning_content")
@ApiModel(value = "LearningContent对象", description = "学习内容")
public class LearningContent implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("学习内容ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("学习内容名称")
    @TableField("name")
    @NotBlank(message = "学习内容名称不能为空")
    private String name;

    @ApiModelProperty("学习内容宣传图")
    @TableField("avartar")
    @NotBlank(message = "学习内容宣传图不能为空")
    private String avartar;

    @ApiModelProperty("适用范围")
    @TableField("applicable_scope")
    @NotNull(message = "适用范围不能为空")
    private Integer applicableScope;

    @ApiModelProperty("审核状态")
    @TableField("audit_status")
    @NotBlank(message = "审核状态不能为空")
    private String auditStatus;

    @ApiModelProperty("创建日期")
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    @ApiModelProperty("更新日期")
    @TableField(value = "update_time", fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

}
